const babel = require('babel-core');
const {
    join
} = require('path');

// const alias = {
//     '{pro}actions': 'actions',
//     '{pro}global': 'global',
//     '{pro}store': 'stroe',
//     '{pro}lib': 'lib',
//     '{common}': 'common/',
//     '{components}': 'components/',
//     '/pro/lib': 'lib',
//     '/pro/global': 'global'
// };

const alias = {
    'actions': 'pro/actions',
    'global': 'pro/global',
    'lib': 'pro/lib',
    'module': 'pro/module',
    'reducers': 'pro/reducers',
    'store': 'pro/store'
};

const options = {
    'plugins': [
        [join(__dirname, './plugin'), {
            alias,
            extName: '.es6'
        }]
    ]
};


const code = `
import { util as _u, utilTemplateTpl as _t } from 'nejm';
import * as _tpl from './accordion.html';
import * as _css from './accordion.css';

_t._$parseUITemplate('<textarea name="css" id="css-box">' + _css + '</textarea>');

var dom = Regular.dom;

var tempMenuList = [{
    title: '',
    body: '',
    active: false
}, {
    title: '',
    body: '',
    active: false
}, {
    title: '',
    body: '',
    active: false
}, {
    title: '',
    body: '',
    active: false
}];

var Accordion = Regular.extend({
    name: 'accordion',
    template: _tpl,
    config: function (data) {
        this.data = _u._$merge({
            claszz: '',
            menuList: []
        }, data);
    },
    init: function () {}
});

export default Accordion;
`
const result = babel.transform(code, options);

console.log(result.code);
